
QGIS Application - Bug report #19949

New maps panels position is not restored after saving and opening a project

2018-09-26 08:02 AM - salvatore fiandaca

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:3.3(master) Regression?: No

Operating System: win 10 - osgeo4w Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 27771

Description

creating three new maps and two of these overlap in a single window, at the reopening of the project the three windows are again

separated.

History

#1 - 2018-09-26 10:08 AM - Giovanni Manghi

- Subject changed from New map ctrl + M overlap windows to New maps panels position is not restored after saving and opening a project

#2 - 2018-09-26 05:10 PM - luca bellani

- File b2.PNG added

- File b1.PNG added

More examples.

#3 - 2018-09-26 09:56 PM - Nyall Dawson

- Resolution set to up/downstream

- Status changed from Open to Closed

This is a due to a limitation in qt (missing feature in dock position handling) and there's no way we can fix this in qgis.

Files

a1.png 326 KB 2018-09-26 salvatore fiandaca

a2.png 338 KB 2018-09-26 salvatore fiandaca

new_map.7z 206 KB 2018-09-26 salvatore fiandaca

b2.PNG 901 KB 2018-09-26 luca bellani

b1.PNG 1.37 MB 2018-09-26 luca bellani

2025-06-13 1/1


